RedHat: RHSA-2021-2331:01 Important: libldb security update

Advisories

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: libldb security update
Advisory ID:       RHSA-2021:2331-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2021:2331
Issue date:        2021-06-08
CVE Names:         CVE-2021-20277 
=====================================================================

1. Summary:

An update for libldb is now available for Red Hat Enterprise Linux 7.7
Extended Update Support.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux ComputeNode EUS (v. 7.7) - x86_64
Red Hat Enterprise Linux ComputeNode Optional EUS (v. 7.7) - x86_64
Red Hat Enterprise Linux Server EUS (v. 7.7) - ppc64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux Server Optional EUS (v. 7.7) - ppc64, ppc64le, s390x, x86_64

3. Description:

The libldb packages provide an extensible library that implements an
LDAP-like API to access remote LDAP servers, or use local TDB databases.

Security Fix(es):

* samba: Out of bounds read in AD DC LDAP server (CVE-2021-20277)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1941402 - CVE-2021-20277 samba: Out of bounds read in AD DC LDAP server

6. Package List:

Red Hat Enterprise Linux ComputeNode EUS (v. 7.7):

Source:
libldb-1.4.2-2.el7_7.src.rpm

x86_64:
libldb-1.4.2-2.el7_7.i686.rpm
libldb-1.4.2-2.el7_7.x86_64.rpm
libldb-debuginfo-1.4.2-2.el7_7.i686.rpm
libldb-debuginfo-1.4.2-2.el7_7.x86_64.rpm

Red Hat Enterprise Linux ComputeNode Optional EUS (v. 7.7):

x86_64:
ldb-tools-1.4.2-2.el7_7.x86_64.rpm
libldb-debuginfo-1.4.2-2.el7_7.i686.rpm
libldb-debuginfo-1.4.2-2.el7_7.x86_64.rpm
libldb-devel-1.4.2-2.el7_7.i686.rpm
libldb-devel-1.4.2-2.el7_7.x86_64.rpm
pyldb-1.4.2-2.el7_7.i686.rpm
pyldb-1.4.2-2.el7_7.x86_64.rpm
pyldb-devel-1.4.2-2.el7_7.i686.rpm
pyldb-devel-1.4.2-2.el7_7.x86_64.rpm

Red Hat Enterprise Linux Server EUS (v. 7.7):

Source:
libldb-1.4.2-2.el7_7.src.rpm

ppc64:
libldb-1.4.2-2.el7_7.ppc.rpm
libldb-1.4.2-2.el7_7.ppc64.rpm
libldb-debuginfo-1.4.2-2.el7_7.ppc.rpm
libldb-debuginfo-1.4.2-2.el7_7.ppc64.rpm

ppc64le:
libldb-1.4.2-2.el7_7.ppc64le.rpm
libldb-debuginfo-1.4.2-2.el7_7.ppc64le.rpm

s390x:
libldb-1.4.2-2.el7_7.s390.rpm
libldb-1.4.2-2.el7_7.s390x.rpm
libldb-debuginfo-1.4.2-2.el7_7.s390.rpm
libldb-debuginfo-1.4.2-2.el7_7.s390x.rpm

x86_64:
libldb-1.4.2-2.el7_7.i686.rpm
libldb-1.4.2-2.el7_7.x86_64.rpm
libldb-debuginfo-1.4.2-2.el7_7.i686.rpm
libldb-debuginfo-1.4.2-2.el7_7.x86_64.rpm
pyldb-1.4.2-2.el7_7.i686.rpm
pyldb-1.4.2-2.el7_7.x86_64.rpm

Red Hat Enterprise Linux Server Optional EUS (v. 7.7):

ppc64:
ldb-tools-1.4.2-2.el7_7.ppc64.rpm
libldb-debuginfo-1.4.2-2.el7_7.ppc.rpm
libldb-debuginfo-1.4.2-2.el7_7.ppc64.rpm
libldb-devel-1.4.2-2.el7_7.ppc.rpm
libldb-devel-1.4.2-2.el7_7.ppc64.rpm
pyldb-1.4.2-2.el7_7.ppc.rpm
pyldb-1.4.2-2.el7_7.ppc64.rpm
pyldb-devel-1.4.2-2.el7_7.ppc.rpm
pyldb-devel-1.4.2-2.el7_7.ppc64.rpm

ppc64le:
ldb-tools-1.4.2-2.el7_7.ppc64le.rpm
libldb-debuginfo-1.4.2-2.el7_7.ppc64le.rpm
libldb-devel-1.4.2-2.el7_7.ppc64le.rpm
pyldb-1.4.2-2.el7_7.ppc64le.rpm
pyldb-devel-1.4.2-2.el7_7.ppc64le.rpm

s390x:
ldb-tools-1.4.2-2.el7_7.s390x.rpm
libldb-debuginfo-1.4.2-2.el7_7.s390.rpm
libldb-debuginfo-1.4.2-2.el7_7.s390x.rpm
libldb-devel-1.4.2-2.el7_7.s390.rpm
libldb-devel-1.4.2-2.el7_7.s390x.rpm
pyldb-1.4.2-2.el7_7.s390.rpm
pyldb-1.4.2-2.el7_7.s390x.rpm
pyldb-devel-1.4.2-2.el7_7.s390.rpm
pyldb-devel-1.4.2-2.el7_7.s390x.rpm

x86_64:
ldb-tools-1.4.2-2.el7_7.x86_64.rpm
libldb-debuginfo-1.4.2-2.el7_7.i686.rpm
libldb-debuginfo-1.4.2-2.el7_7.x86_64.rpm
libldb-devel-1.4.2-2.el7_7.i686.rpm
libldb-devel-1.4.2-2.el7_7.x86_64.rpm
pyldb-devel-1.4.2-2.el7_7.i686.rpm
pyldb-devel-1.4.2-2.el7_7.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2021-20277
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2021 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYL/pn9zjgjWX9erEAQiySQ//fpfD4vQNk1wFBM7eBy1nv5e0ceR0eKYB
0e+EnAZLru0l0OfQaf4PNbYXouodlcWiBtHH4SxxYvmQyXZPY2HBXkND1mml0kzi
j3abIy4pvPMuWChb+okeF40pXvq2fbBCJgEPNE5bd0VOblHhBNdVLo+yYYqYC8eG
T6IXlEIms3XUjMqrbVWAkV/DIgu73HK8H6MEm6q92gcXge2VGfA/OH0SgrfCN3Re
d3i/hRLsHIxMX2j9gN0i1ZF2VMlTW/u2ANqlXGuK2HrurspRBNYCyc4sKtpjdC+Q
sX2RxoliAxptdDsiiYkKj7Ft45Ky4oTtp6KHH4nJdX2C511WVb86HwHvafe5uMLi
yjl2EfI83AKaDQQaCq7UnpNrKCZtNo8CsVMrpeyAV9/HSdqvu9VeH9EmEpEqvwpy
QUwyVP/F34QLIlbW76We/odqfxoawJoazbb/3Xo+5nBKK/AQcppxcOd85S2XpkW8
61EGHT/PTkG66fZ0aiYAMLb2xLdzK8anq96zWoWfELVQ4+JbYoKeRCSpdZN1yErF
JQGbd1WEAQNPw5IVvnn1ruo/PCeg+fxo+ViZsgsha9MF3/njnOb3IefB52+P+aSl
WcWVp4+9CdKHvS877fUZSGRpDKdmCBQxFb0VMmKa6M1hmdDsRpqTqEZChxTJvPzY
6S0FtmwlvjI=
=x0VZ
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2021-2331:01 Important: libldb security update

An update for libldb is now available for Red Hat Enterprise Linux 7.7 Extended Update Support

Summary

The libldb packages provide an extensible library that implements an LDAP-like API to access remote LDAP servers, or use local TDB databases.
Security Fix(es):
* samba: Out of bounds read in AD DC LDAP server (CVE-2021-20277)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258

References

https://access.redhat.com/security/cve/CVE-2021-20277 https://access.redhat.com/security/updates/classification/#important

Package List

Red Hat Enterprise Linux ComputeNode EUS (v. 7.7):
Source: libldb-1.4.2-2.el7_7.src.rpm
x86_64: libldb-1.4.2-2.el7_7.i686.rpm libldb-1.4.2-2.el7_7.x86_64.rpm libldb-debuginfo-1.4.2-2.el7_7.i686.rpm libldb-debuginfo-1.4.2-2.el7_7.x86_64.rpm
Red Hat Enterprise Linux ComputeNode Optional EUS (v. 7.7):
x86_64: ldb-tools-1.4.2-2.el7_7.x86_64.rpm libldb-debuginfo-1.4.2-2.el7_7.i686.rpm libldb-debuginfo-1.4.2-2.el7_7.x86_64.rpm libldb-devel-1.4.2-2.el7_7.i686.rpm libldb-devel-1.4.2-2.el7_7.x86_64.rpm pyldb-1.4.2-2.el7_7.i686.rpm pyldb-1.4.2-2.el7_7.x86_64.rpm pyldb-devel-1.4.2-2.el7_7.i686.rpm pyldb-devel-1.4.2-2.el7_7.x86_64.rpm
Red Hat Enterprise Linux Server EUS (v. 7.7):
Source: libldb-1.4.2-2.el7_7.src.rpm
ppc64: libldb-1.4.2-2.el7_7.ppc.rpm libldb-1.4.2-2.el7_7.ppc64.rpm libldb-debuginfo-1.4.2-2.el7_7.ppc.rpm libldb-debuginfo-1.4.2-2.el7_7.ppc64.rpm
ppc64le: libldb-1.4.2-2.el7_7.ppc64le.rpm libldb-debuginfo-1.4.2-2.el7_7.ppc64le.rpm
s390x: libldb-1.4.2-2.el7_7.s390.rpm libldb-1.4.2-2.el7_7.s390x.rpm libldb-debuginfo-1.4.2-2.el7_7.s390.rpm libldb-debuginfo-1.4.2-2.el7_7.s390x.rpm
x86_64: libldb-1.4.2-2.el7_7.i686.rpm libldb-1.4.2-2.el7_7.x86_64.rpm libldb-debuginfo-1.4.2-2.el7_7.i686.rpm libldb-debuginfo-1.4.2-2.el7_7.x86_64.rpm pyldb-1.4.2-2.el7_7.i686.rpm pyldb-1.4.2-2.el7_7.x86_64.rpm
Red Hat Enterprise Linux Server Optional EUS (v. 7.7):
ppc64: ldb-tools-1.4.2-2.el7_7.ppc64.rpm libldb-debuginfo-1.4.2-2.el7_7.ppc.rpm libldb-debuginfo-1.4.2-2.el7_7.ppc64.rpm libldb-devel-1.4.2-2.el7_7.ppc.rpm libldb-devel-1.4.2-2.el7_7.ppc64.rpm pyldb-1.4.2-2.el7_7.ppc.rpm pyldb-1.4.2-2.el7_7.ppc64.rpm pyldb-devel-1.4.2-2.el7_7.ppc.rpm pyldb-devel-1.4.2-2.el7_7.ppc64.rpm
ppc64le: ldb-tools-1.4.2-2.el7_7.ppc64le.rpm libldb-debuginfo-1.4.2-2.el7_7.ppc64le.rpm libldb-devel-1.4.2-2.el7_7.ppc64le.rpm pyldb-1.4.2-2.el7_7.ppc64le.rpm pyldb-devel-1.4.2-2.el7_7.ppc64le.rpm
s390x: ldb-tools-1.4.2-2.el7_7.s390x.rpm libldb-debuginfo-1.4.2-2.el7_7.s390.rpm libldb-debuginfo-1.4.2-2.el7_7.s390x.rpm libldb-devel-1.4.2-2.el7_7.s390.rpm libldb-devel-1.4.2-2.el7_7.s390x.rpm pyldb-1.4.2-2.el7_7.s390.rpm pyldb-1.4.2-2.el7_7.s390x.rpm pyldb-devel-1.4.2-2.el7_7.s390.rpm pyldb-devel-1.4.2-2.el7_7.s390x.rpm
x86_64: ldb-tools-1.4.2-2.el7_7.x86_64.rpm libldb-debuginfo-1.4.2-2.el7_7.i686.rpm libldb-debuginfo-1.4.2-2.el7_7.x86_64.rpm libldb-devel-1.4.2-2.el7_7.i686.rpm libldb-devel-1.4.2-2.el7_7.x86_64.rpm pyldb-devel-1.4.2-2.el7_7.i686.rpm pyldb-devel-1.4.2-2.el7_7.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2021:2331-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2021:2331
Issued Date: : 2021-06-08
CVE Names: CVE-2021-20277

Topic

An update for libldb is now available for Red Hat Enterprise Linux 7.7Extended Update Support.Red Hat Product Security has rated this update as having a security impactof Important. A Common Vulnerability Scoring System (CVSS) base score,which gives a detailed severity rating, is available for each vulnerabilityfrom the CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat Enterprise Linux ComputeNode EUS (v. 7.7) - x86_64

Red Hat Enterprise Linux ComputeNode Optional EUS (v. 7.7) - x86_64

Red Hat Enterprise Linux Server EUS (v. 7.7) - ppc64, ppc64le, s390x, x86_64

Red Hat Enterprise Linux Server Optional EUS (v. 7.7) - ppc64, ppc64le, s390x, x86_64

Bugs Fixed

1941402 - CVE-2021-20277 samba: Out of bounds read in AD DC LDAP server

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.